org.apache.lucene.spatial.geopoint.document

## Enum GeoPointField.TermEncoding

- java.lang.Object
- - java.lang.Enum<GeoPointField.TermEncoding>
  - - org.apache.lucene.spatial.geopoint.document.GeoPointField.TermEncoding

- All Implemented Interfaces:
    Serializable, Comparable<GeoPointField.TermEncoding>
  Enclosing class:
    GeoPointField

      public static enum GeoPointField.TermEncoding
      extends Enum<GeoPointField.TermEncoding>

  Expert: Optional flag to select term encoding for GeoPointField types

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NUMERIC` Deprecated. encodes prefix and full resolution terms - use with `LegacyNumericTokenStream`
    `PREFIX` encodes prefix terms only resulting in a small index and faster queries - use with `GeoPointTokenStream`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GeoPointField.TermEncoding` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static GeoPointField.TermEncoding[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PREFIX

          public static final GeoPointField.TermEncoding PREFIX

      encodes prefix terms only resulting in a small index and faster queries - use with `GeoPointTokenStream`

    - #### NUMERIC

          @Deprecated
          public static final GeoPointField.TermEncoding NUMERIC

      Deprecated. encodes prefix and full resolution terms - use with `LegacyNumericTokenStream`

  - ### Method Detail

    - #### values

          public static GeoPointField.TermEncoding[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GeoPointField.TermEncoding c : GeoPointField.TermEncoding.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GeoPointField.TermEncoding valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.